/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Rounded.HotTub: ImageVector
    get() {
        if (_hotTub != null) {
            return _hotTub!!
        }
        _hotTub = materialIcon(name = "Rounded.HotTub") {
            materialPath {
                moveTo(7.0f, 6.0f)
                moveToRelative(-2.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, 4.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, -4.0f, 0.0f)
            }
            materialPath {
                moveTo(21.0f, 12.0f)
                horizontalLineToRelative(-9.85f)
                curveToRelative(-0.31f, -0.22f, -0.59f, -0.46f, -0.82f, -0.72f)
                lineToRelative(-1.4f, -1.55f)
                curveToRelative(-0.19f, -0.21f, -0.43f, -0.38f, -0.69f, -0.5f)
                curveToRelative(-0.29f, -0.14f, -0.62f, -0.23f, -0.96f, -0.23f)
                horizontalLineToRelative(-0.03f)
                curveTo(6.01f, 9.0f, 5.0f, 10.01f, 5.0f, 11.25f)
                lineTo(5.0f, 12.0f)
                lineTo(3.0f, 12.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                verticalLineToRelative(7.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineToRelative(-7.0f)
                curveToRelative(0.0f, -0.55f, -0.45f, -1.0f, -1.0f, -1.0f)
                close()
                moveTo(7.0f, 19.0f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                reflectiveCurveToRelative(-1.0f, -0.45f, -1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                reflectiveCurveToRelative(1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                close()
                moveTo(11.0f, 19.0f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                reflectiveCurveToRelative(-1.0f, -0.45f, -1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                reflectiveCurveToRelative(1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                close()
                moveTo(15.0f, 19.0f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                reflectiveCurveToRelative(-1.0f, -0.45f, -1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                reflectiveCurveToRelative(1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                close()
                moveTo(19.0f, 19.0f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                reflectiveCurveToRelative(-1.0f, -0.45f, -1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                reflectiveCurveToRelative(1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                close()
                moveTo(15.06f, 10.0f)
                curveToRelative(0.5f, 0.0f, 0.93f, -0.39f, 0.94f, -0.89f)
                curveToRelative(0.04f, -1.4f, -0.58f, -2.48f, -1.35f, -3.25f)
                curveToRelative(-0.65f, -0.72f, -0.8f, -1.27f, -0.77f, -1.91f)
                curveToRelative(0.02f, -0.52f, -0.41f, -0.95f, -0.94f, -0.95f)
                curveToRelative(-0.5f, 0.0f, -0.93f, 0.4f, -0.94f, 0.9f)
                curveToRelative(-0.03f, 1.29f, 0.5f, 2.43f, 1.35f, 3.25f)
                curveToRelative(0.61f, 0.59f, 0.78f, 1.27f, 0.78f, 1.89f)
                curveToRelative(-0.01f, 0.52f, 0.4f, 0.96f, 0.93f, 0.96f)
                close()
                moveTo(19.06f, 10.0f)
                curveToRelative(0.5f, 0.0f, 0.93f, -0.39f, 0.94f, -0.89f)
                curveToRelative(0.04f, -1.4f, -0.58f, -2.48f, -1.35f, -3.25f)
                curveToRelative(-0.65f, -0.72f, -0.8f, -1.27f, -0.77f, -1.91f)
                curveToRelative(0.02f, -0.52f, -0.41f, -0.95f, -0.94f, -0.95f)
                curveToRelative(-0.5f, 0.0f, -0.93f, 0.4f, -0.94f, 0.9f)
                curveToRelative(-0.03f, 1.29f, 0.5f, 2.43f, 1.35f, 3.25f)
                curveToRelative(0.61f, 0.59f, 0.78f, 1.27f, 0.78f, 1.89f)
                curveToRelative(-0.01f, 0.52f, 0.4f, 0.96f, 0.93f, 0.96f)
                close()
            }
        }
        return _hotTub!!
    }

private var _hotTub: ImageVector? = null
