/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.PinDrop: ImageVector
    get() {
        if (_pinDrop != null) {
            return _pinDrop!!
        }
        _pinDrop = materialIcon(name = "Sharp.PinDrop") {
            materialPath(pathFillType = EvenOdd) {
                moveTo(5.0f, 20.0f)
                horizontalLineToRelative(14.0f)
                verticalLineToRelative(2.0f)
                lineTo(5.0f, 22.0f)
                verticalLineToRelative(-2.0f)
                close()
                moveTo(12.0f, 7.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, 0.9f, -2.0f, 2.0f)
                reflectiveCurveToRelative(0.9f, 2.0f, 2.0f, 2.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, false, 0.0f, -4.0f)
                close()
                moveTo(12.0f, 2.0f)
                curveToRelative(3.27f, 0.0f, 7.0f, 2.46f, 7.0f, 7.15f)
                curveToRelative(0.0f, 3.12f, -2.33f, 6.41f, -7.0f, 9.85f)
                curveToRelative(-4.67f, -3.44f, -7.0f, -6.73f, -7.0f, -9.85f)
                curveTo(5.0f, 4.46f, 8.73f, 2.0f, 12.0f, 2.0f)
                close()
            }
        }
        return _pinDrop!!
    }

private var _pinDrop: ImageVector? = null
