/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.SwapVerticalCircle: ImageVector
    get() {
        if (_swapVerticalCircle != null) {
            return _swapVerticalCircle!!
        }
        _swapVerticalCircle = materialIcon(name = "TwoTone.SwapVerticalCircle") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(12.0f, 4.0f)
                curveToRelative(-4.41f, 0.0f, -8.0f, 3.59f, -8.0f, 8.0f)
                reflectiveCurveToRelative(3.59f, 8.0f, 8.0f, 8.0f)
                reflectiveCurveToRelative(8.0f, -3.59f, 8.0f, -8.0f)
                reflectiveCurveToRelative(-3.59f, -8.0f, -8.0f, -8.0f)
                close()
                moveTo(6.5f, 9.0f)
                lineTo(10.0f, 5.5f)
                lineTo(13.5f, 9.0f)
                lineTo(11.0f, 9.0f)
                verticalLineToRelative(4.0f)
                lineTo(9.0f, 13.0f)
                lineTo(9.0f, 9.0f)
                lineTo(6.5f, 9.0f)
                close()
                moveTo(14.0f, 18.5f)
                lineTo(10.5f, 15.0f)
                lineTo(13.0f, 15.0f)
                verticalLineToRelative(-4.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(2.5f)
                lineTo(14.0f, 18.5f)
                close()
            }
            materialPath {
                moveTo(12.0f, 2.0f)
                curveTo(6.48f, 2.0f, 2.0f, 6.48f, 2.0f, 12.0f)
                reflectiveCurveToRelative(4.48f, 10.0f, 10.0f, 10.0f)
                reflectiveCurveToRelative(10.0f, -4.48f, 10.0f, -10.0f)
                reflectiveCurveTo(17.52f, 2.0f, 12.0f, 2.0f)
                close()
                moveTo(12.0f, 20.0f)
                curveToRelative(-4.41f, 0.0f, -8.0f, -3.59f, -8.0f, -8.0f)
                reflectiveCurveToRelative(3.59f, -8.0f, 8.0f, -8.0f)
                reflectiveCurveToRelative(8.0f, 3.59f, 8.0f, 8.0f)
                reflectiveCurveToRelative(-3.59f, 8.0f, -8.0f, 8.0f)
                close()
                moveTo(11.0f, 13.0f)
                lineTo(11.0f, 9.0f)
                horizontalLineToRelative(2.5f)
                lineTo(10.0f, 5.5f)
                lineTo(6.5f, 9.0f)
                lineTo(9.0f, 9.0f)
                verticalLineToRelative(4.0f)
                close()
                moveTo(15.0f, 11.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(-2.5f)
                lineToRelative(3.5f, 3.5f)
                lineToRelative(3.5f, -3.5f)
                lineTo(15.0f, 15.0f)
                close()
            }
        }
        return _swapVerticalCircle!!
    }

private var _swapVerticalCircle: ImageVector? = null
