/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Vaccines: ImageVector
    get() {
        if (_vaccines != null) {
            return _vaccines!!
        }
        _vaccines = materialIcon(name = "TwoTone.Vaccines") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(19.0f, 17.0f)
                horizontalLineToRelative(-4.0f)
                verticalLineToRelative(-1.5f)
                horizontalLineToRelative(4.0f)
                verticalLineTo(17.0f)
                close()
                moveTo(9.0f, 7.5f)
                horizontalLineTo(5.0f)
                verticalLineTo(15.0f)
                horizontalLineToRelative(4.0f)
                lineToRelative(0.0f, -1.5f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, -0.34f, -0.75f, -0.75f)
                curveTo(6.5f, 12.34f, 6.84f, 12.0f, 7.25f, 12.0f)
                horizontalLineTo(9.0f)
                verticalLineToRelative(-1.5f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, -0.34f, -0.75f, -0.75f)
                curveTo(6.5f, 9.34f, 6.84f, 9.0f, 7.25f, 9.0f)
                horizontalLineTo(9.0f)
                verticalLineTo(7.5f)
                close()
            }
            materialPath {
                moveTo(11.0f, 5.5f)
                horizontalLineTo(8.0f)
                verticalLineTo(4.0f)
                horizontalLineToRelative(0.5f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                curveToRelative(0.0f, -0.55f, -0.45f, -1.0f, -1.0f, -1.0f)
                horizontalLineToRelative(-3.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                horizontalLineTo(6.0f)
                verticalLineToRelative(1.5f)
                horizontalLineTo(3.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                verticalLineTo(15.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(4.0f)
                lineToRelative(2.0f, 1.5f)
                verticalLineTo(17.0f)
                horizontalLineToRelative(1.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(7.5f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                curveTo(12.0f, 5.95f, 11.55f, 5.5f, 11.0f, 5.5f)
                close()
                moveTo(9.0f, 9.0f)
                horizontalLineTo(7.25f)
                curveTo(6.84f, 9.0f, 6.5f, 9.34f, 6.5f, 9.75f)
                curveToRelative(0.0f, 0.41f, 0.34f, 0.75f, 0.75f, 0.75f)
                horizontalLineTo(9.0f)
                verticalLineTo(12.0f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, 0.34f, -0.75f, 0.75f)
                curveToRelative(0.0f, 0.41f, 0.34f, 0.75f, 0.75f, 0.75f)
                horizontalLineTo(9.0f)
                lineTo(9.0f, 15.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(7.5f)
                horizontalLineToRelative(4.0f)
                verticalLineTo(9.0f)
                close()
                moveTo(19.5f, 10.5f)
                verticalLineTo(10.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                curveToRelative(0.0f, -0.55f, -0.45f, -1.0f, -1.0f, -1.0f)
                horizontalLineToRelative(-5.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                verticalLineToRelative(0.5f)
                curveToRelative(0.0f, 0.5f, -1.5f, 1.16f, -1.5f, 3.0f)
                verticalLineTo(20.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(4.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineToRelative(-6.5f)
                curveTo(21.0f, 11.66f, 19.5f, 11.0f, 19.5f, 10.5f)
                close()
                moveTo(16.5f, 10.5f)
                verticalLineTo(10.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(0.5f)
                curveToRelative(0.0f, 1.6f, 1.5f, 2.0f, 1.5f, 3.0f)
                verticalLineTo(14.0f)
                horizontalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.21f, 0.0f, -0.39f, 0.0f, -0.5f)
                curveTo(15.0f, 12.5f, 16.5f, 12.1f, 16.5f, 10.5f)
                close()
                moveTo(19.0f, 15.5f)
                verticalLineTo(17.0f)
                horizontalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.51f, 0.0f, -1.02f, 0.0f, -1.5f)
                horizontalLineTo(19.0f)
                close()
                moveTo(15.0f, 20.0f)
                curveToRelative(0.0f, 0.0f, 0.0f, -0.63f, 0.0f, -1.5f)
                horizontalLineToRelative(4.0f)
                verticalLineTo(20.0f)
                horizontalLineTo(15.0f)
                close()
            }
        }
        return _vaccines!!
    }

private var _vaccines: ImageVector? = null
